List Identities filters
List filters applicable to the List Identities endpoint
curl -X GET "https://api.prd.rad.security/accounts/example_string/identities/filters" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/identities/filters"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/identities/filters", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/identities/filters", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/identities/filters')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"actions": [
{
"label": "example_string",
"value": "example_string"
}
],
"identity_sources": [
{
"label": "example_string",
"value": "example_string"
}
],
"identity_types": [
{
"label": "example_string",
"value": "example_string"
}
],
"resources": [
{
"label": "example_string",
"value": "example_string"
}
],
"risk_levels": [
{
"label": "example_string",
"value": "example_string"
}
],
"risk_types": [
{
"label": "example_string",
"value": "example_string"
}
],
"statuses": [
{
"label": "example_string",
"value": "example_string"
}
],
"usages": [
{
"label": "example_string",
"value": "example_string"
}
]
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/identities/filtersGET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount ID
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount ID
Responses
actionsarray
identity_sourcesarray
identity_typesarray
resourcesarray
risk_levelsarray
risk_typesarray
statusesarray
usagesarray
Was this page helpful?